using FitConnect.Models;
using Microsoft.AspNetCore.Http;

namespace FitConnect.Interfaces;

public interface IFitConnectClient {
    /// <summary>
    /// Can be used in TEST Environment to skip the data validation
    /// </summary>
    bool SkipDataValidation { get; set; }

    public bool ValidateCallback(string callbackSecret, HttpRequest request) =>
        FitConnectClient.ValidateCallback(callbackSecret, request);

    public bool ValidateCallback(string hmac, string callbackSecret, long timestamp,
        string httpBody) =>
        FitConnectClient.ValidateCallback(hmac, callbackSecret, timestamp, httpBody);
}
