using FitConnect.Models.v1.Api;
using NJsonSchema.Validation;

namespace FitConnect.Models;

public class VerificationResult {
    public bool Valid { get; set; }
    public List<ValidationError>? ValidationErrors { get; }
    public static implicit operator bool(VerificationResult result) => result.Valid;

    public static implicit operator VerificationResult(bool result) =>
        new VerificationResult(result, null);

    public List<Problems> Problems { get; set; } = new();

    public VerificationResult() {
    }

    public VerificationResult(bool result, List<ValidationError>? validationErrors) {
        Valid = result;
        ValidationErrors = validationErrors;
    }
}
